Version: 0.7.7
Release: alt5
Name: emacs-preview-latex
Copyright: GPL
Group: Editors
Url: http://preview-latex.sourceforge.net/
Summary: Preview-LaTeX package for Emacs
Summary(ru_RU.CP1251): Preview-LaTeX  Emacs

Source: preview-latex-%{version}.tar.gz
Source1: preview-latex-emacs.el

BuildArch: noarch
Requires: tetex-dvips ghostscript emacs-X11 emacs-mode-auctex >= 11.11-alt4 tetex-latex 

# Automatically added by buildreq on Thu Aug 05 2002
BuildRequires: emacs-X11 emacs-mode-auctex >= 11.14-alt5 texinfo tetex-latex
BuildPreReq: emacs-mode-auctex >= 11.14-alt5

%description
Does your neck hurt from turning between previewer windows and the
source too often? This Elisp/LaTeX package will render your displayed
LaTeX equations right into the editing window where they belong. 

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
Preview-LaTeX    ,  
   LaTeX    GNU Emacs.

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n preview-latex-%{version}

%build
./configure --prefix=%{_prefix} --with-lispdir=%{_emacslispdir}/preview-latex --with-emacs --infodir=%{_infodir} --with-tex-site=%{_emacslispdir} --with-texmf-dir=%{_datadir}/texmf --disable-8bit-test
make

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/preview-latex
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/preview-latex

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 doc/*.info* $RPM_BUILD_ROOT%{_infodir}/

mkdirhier $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/preview-latex.el

mkdirhier $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/preview/
cd latex 
for x in preview.sty prauctex.def prauctex.cfg prshowbox.def prshowlabels.def prtracingall.def prtightpage.def  ; do 
    /bin/install -c -m 644 $x $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/preview 
done
cd ..

%post
cd %{_infodir}
install-info --dir-file=/etc/info-dir preview-latex.info.gz
texhash

%preun
cd %{_infodir}
install-info --dir-file=/etc/info-dir --delete preview-latex.info.gz
texhash

%files
%defattr(-, root, root)
%doc ChangeLog README INSTALL PROBLEMS README.CVS RELEASE TODO doc/preview-latex.dvi
%{_infodir}/*
%{_emacslispdir}/preview-latex/*.elc
%{_datadir}/texmf/tex/latex/preview
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/preview-latex/*.el

%changelog
* Sat Jan 11 2003 Ott Alex <ott@altlinux.ru> 0.7.7-alt5
- New version of package.

* Tue Nov 26 2002 Ott Alex <ott@altlinux.ru> 0.7.4-alt4
- New version of package

* Thu Sep 20 2002 Ott Alex <ott@altlinux.ru> 0.7.3-alt4
- fixing spec

* Thu Sep 19 2002 Ott Alex <ott@altlinux.ru> 0.7.3-alt3
- fixing auctex version

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 0.7.3-alt2
- Splitting on byte-compiled & source packages

* Wed Aug 14 2002 Ott Alex <ott@altlinux.ru> 0.7.3-alt1
- New version of package

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 0.7.2b-alt2
- Adding right Requires to spec

* Sun Aug 05 2002 Ott Alex <ott@altlinux.ru> 0.7.2b-alt1
- Initial build


